package org.ghisler.tcpacker;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.view.Gravity;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;

import org.ghisler.a7zip.AndroidMFunctions;

import java.io.File;

public class PermissionRequestActivity extends Activity {

	static final int READWRITE=1;

	@Override
    public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        setResult(Activity.RESULT_CANCELED);
        setTitle("TotalDrip");
		LinearLayout layout = new LinearLayout(this);
		layout.setGravity(Gravity.CENTER);
		layout.setOrientation(LinearLayout.VERTICAL);
		LinearLayout.LayoutParams params = new LinearLayout.LayoutParams(LinearLayout.LayoutParams.WRAP_CONTENT, LinearLayout.LayoutParams.WRAP_CONTENT);
		Button sb = new Button(this);
		sb.setText("Cancel");
		layout.addView(sb, params); // Modify this
		setContentView(layout);
	    sb.setOnClickListener(new View.OnClickListener()
	    {
	          @Override
	          public void onClick(View v) {
	        	  finish();
	          }
	    });
		org.ghisler.a7zip.AndroidMFunctions.requestStorageReadWriteRights(this,READWRITE);
	}

	// Android M
	@Override
	public void onRequestPermissionsResult (int requestCode, String[] permissions, int[] grantResults)
	{
		try {
			if (requestCode==READWRITE) {  // PackageManager.PERMISSION_GRANTED
				PluginService.requestPermissionResults=(grantResults[0] == 0)?1:-1;
				PluginService.permissionBusy=false;
				finish();
			}
		} catch (Throwable e) {}
	}

	@Override
    protected void onPause(){
    	super.onPause();
    }

	@Override
	protected void onStop(){
		if (PluginService.requestPermissionResults==0)
			PluginService.requestPermissionResults=-1;
		PluginService.permissionBusy=false;
		super.onStop();
	}


}
